from btool.Defines import *

# Please contact dl-bedrock-core if you need to update this file.

Component (
    name            = 'build@bash',
    variants        = (
        'x86_64{,.pg,.gcov,.coverity}',
    ),
    commands        = (
        "build.sh build NTAP_PLATFORM=$PLATFORM",
    ),
    imports         = (
        'headers@freebsd',
        'libraries@freebsd',
        'startup-files@freebsd',
        'stdhdrs@freebsd',
        'btool@compiler_config',
        'btool@coverityconfig',
        'btool@brenv',
        'interface@tools',               # for non-BCM build@bash
    ),
)

Component (
    name            = 'uexe@bash',
    imports         = (
        'build@bash',
    ),
)

Component (
    name            = 'manifest@bash',
    imports         = (
        'uexe@bash',
    ),
)

Component (
    name            = 'coverity@bash',
    variants        = (
        'x86_64.coverity',
    ),
    imports         = (
        'build@bash',
        'uexe@bash',
    ),
)

Component (
    name            = 'audit_ownership@bash',
)
